#!/usr/bin/env bash

setup() {
  DIR="$( cd "$( dirname "$BATS_TEST_FILENAME" )" >/dev/null 2>&1 && pwd )"
  source "$DIR/helpers.sh"
  _setup_env
}

@test "ABRA_DIR can be overriden" {
  ABRA_DIR="$HOME/.abra_foo"

  run $ABRA app ls

  # no servers yet, so will fail. however, it will run the required code which
  # checks if it should create these base directories and that is what we want
  assert_failure

  assert [ -d "$HOME/.abra_foo" ]
}

@test "abra directories created" {
  run $ABRA app ls

  # no servers yet, so will fail. however, it will run the required code which
  # checks if it should create these base directories and that is what we want
  assert_failure

  assert [ -d "$ABRA_DIR" ]
  assert [ -d "$ABRA_DIR/servers" ]
  assert [ -d "$ABRA_DIR/recipes" ]
  assert [ -d "$ABRA_DIR/backups" ]
  assert [ -d "$ABRA_DIR/vendor" ]
  assert [ -d "$ABRA_DIR/catalogue" ]
}

@test "catalogue recipe is a git repository" {
  run $ABRA app ls

  # no servers yet, so will fail. however, it will run the required code which
  # checks if it should create these base directories and that is what we want
  assert_failure

  assert_output --partial 'local recipe catalogue is missing'

  assert [ -d "$ABRA_DIR/catalogue" ]
  assert [ -d "$ABRA_DIR/catalogue/.git" ]
}

teardown(){
  _default_teardown
}
