#!/usr/bin/env bash

_build_abra() {
  if [[ ! -e "$ROOT/abra" ]]; then
      cd "$ROOT" && make build-abra
      return 0
  fi
  return 0
}

_build_kadabra() {
  if [[ ! -e "$ROOT/kadabra" ]]; then
      cd "$ROOT" && make build-kadabra
      return 0
  fi
  return 0
}

_setup_env(){
  load '/usr/lib/bats/bats-support/load'
  load '/usr/lib/bats/bats-assert/load'

  ROOT="$DIR/../.."
  ABRA="$ROOT/abra"
  KADABRA="$ROOT/kadabra"

  ABRA_DIR="$HOME/.abra_test"

  _build_abra
  _build_kadabra
}

_default_teardown(){
  rm -rf "$ABRA_DIR"
}
