#!/usr/bin/env bash

setup() {
  DIR="$( cd "$( dirname "$BATS_TEST_FILENAME" )" >/dev/null 2>&1 && pwd )"
  source "$DIR/helpers.sh"
  _setup_env

  mkdir -p "$HOME/.abra_test/servers/example.com"
  if ! grep -R -q "example.com" "$HOME/.docker"; then
    docker context create --docker host=ssh://foo@example.com:222 example.com
  fi
}

@test "create new recipe" {
  run $ABRA recipe new foobar
  assert_success
  assert_output --partial 'Your new foobar recipe has been created'

  run $ABRA app new foobar \
    --no-input \
    --server example.com \
    --domain foobar.example.com
  assert_success
  assert_output --partial 'A new foobar app has been created!'
}

teardown() {
  _default_teardown

  if grep -R -q "example.com" "$HOME/.docker"; then
    docker context rm example.com
  fi
}
